Skip to content

Get PCB Offer from PCB Pricing Console

Request

Get the offer for a PCB, which was created in the PCB pricing console.

Security
BearerAuth
Path
pcb_idstringrequired

Set this to shared PCB id you want to get an offer from.

offer_idstringrequired

Set this to the offer ID.

Headers
Acceptstring(SupplierCustomPartOfferAcceptHeader)required

Set this to application/api.luminovo.custom-part-offer-v1+json.

Value:"application/api.luminovo.custom-part-offer-v1+json"
GET
/supplier-quote/pcb/{pcb_id}/offer/{offer_id}
curl -i -X GET \
  'https://api.luminovo.com/supplier-quote/pcb/{pcb_id}/offer/{offer_id}' \
  -H 'Accept: application/api.luminovo.custom-part-offer-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Custom part offer.

Bodyapplication/json
idstring, (uuid)required
originobject(OfferOrigin)required
One of:
supplier_and_stock_locationstring, (uuid)required
unit_of_measurementobject(types.primitives.quantity_unit.v1.UnitOfMeasurement)required
price_pointsArray of objects(types.sourcing.offer.custom.v1.PricePoint)required
valid_untilstring, (date-time)required
offer_numberstring or null
one_time_costsArray of objects(types.sourcing.sourcing_scenario.v1.Cost)required
notesstring or null
creation_datestring, (date-time)required
offer_urlstring or null
has_order_filesbooleanrequired
price_typenull or types.sourcing.offer.custom.v1.CustomPriceType (string)
One of:
null
sourcing_scenario_idstring or null, (uuid)
specificationnull or types.sourcing.offer.custom.v1.CustomPartOfferSpecificationResponse (object)
One of:
null
sourcing_batch_sizeinteger or null, (int32)
total_offered_quantitynumber or null, (double)
price_breaksArray of objects(types.sourcing.offer.custom.v1.CustomPartPriceBreak)required
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "origin": { "origin": "Manual" }, "supplier_and_stock_location": "79f81ee3-83f7-4253-b938-871561d2e1be", "unit_of_measurement": { "quantity_unit": {} }, "price_points": [ {} ], "valid_until": "2019-08-24T14:15:22Z", "offer_number": "string", "one_time_costs": [ {} ], "notes": "string", "creation_date": "2019-08-24T14:15:22Z", "offer_url": "string", "has_order_files": true, "price_type": null, "sourcing_scenario_id": "dc1160f9-8b39-424c-ab48-9f7b212b9c05", "specification": null, "sourcing_batch_size": 0, "total_offered_quantity": 0, "price_breaks": [ {} ] }